Page MenuHomePhabricator

Provide the same version of Chrome/Chromium in Docker and Nodepool (or migrate qunit for extensions to Docker)
Closed, ResolvedPublic0 Estimate Story Points

Description

Non-Docker provides Chrome 57, Docker provides Chrome 63.

This is problematic when these different browser versions give different responses to unit tests.

VisualEditor core code is tested in Docker on Chrome 63 and then again as part of the VisualEditor-MediaWiki unit test suite on Chrome 57.

For now we've commented out the test that fails, but we'd like to re-enable it later.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 6:56 PM
Jdforrester-WMF renamed this task from Provide the same version of Chrom{e|ium} in Docker and non-Docker (or migrate extensions to Docker) to Provide the same version of Chrom{e|ium} in Docker and Nodepool (or migrate qunit for extensions to Docker).Jan 3 2018, 6:57 PM
matmarex renamed this task from Provide the same version of Chrom{e|ium} in Docker and Nodepool (or migrate qunit for extensions to Docker) to Provide the same version of Chrome/Chromium in Docker and Nodepool (or migrate qunit for extensions to Docker).Jan 3 2018, 6:58 PM
Deskana triaged this task as Medium priority.Jan 9 2018, 7:51 PM
Deskana moved this task from To Triage to External and Administrivia on the VisualEditor board.

"migrate qunit for extensions to Docker" is part of T190097: Migrate all CI jobs from Nodepool, deprecate its use and seems to be happening soon?

Indeed T190097 has been fixed, we no more have any jobs running on Nodepool. That being said, some jobs use a Docker container based on Jessie which ships with Chromium v57.

Some of those tests have a value since they exercise code paths on the backend that are not otherwise testing. Then for when testing javascript frontend, that is definitely a stopper :-(

Maybe the test can be made to skip when Chrome is too old? We can also look at skipping the Chrome tests entirely when running on Jessie.

Jdforrester-WMF closed this task as Resolved.Jan 3 2019, 11:22 AM
Jdforrester-WMF assigned this task to hashar.

Declaring this Resolved via T190097, yeah.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 3 2019, 11:22 AM